Bug 910510 - (klines) Review Request: klines - Color lines game
Review Request: klines - Color lines game
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: nucleo
Fedora Extras Quality Assurance
:
Depends On: libkdegames
Blocks: kde-reviews kde-4.10
  Show dependency treegraph
 
Reported: 2013-02-12 13:39 EST by Rex Dieter
Modified: 2013-02-21 09:07 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 09:07:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
alekcejk: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2013-02-12 13:39:19 EST
Spec URL: http://rdieter.fedorapeople.org/rpms/kdegames/klines.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/kdegames/klines-4.10.0-1.fc18.src.rpm
Description: A simple but highly addictive, one player game
Fedora Account System Username: rdieter
Comment 1 Vijay Richard 2013-02-15 06:51:54 EST
FAS : Richardvj11
I am not an official package reviewer yet, but an aspiring package reviewer.
-------------
MUST: The spec file must be written in American English. [5] ---- OK
-read complete spec file

MUST: The spec file for the package MUST be legible. [6]----------OK
-read and reviewed spec file
Comment 2 Vijay Richard 2013-02-15 06:54:25 EST
FAS : Richardvj11
I am not an official package reviewer yet, but an aspiring package reviewer.
-------------
MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden-----------OK
--this spec file shows %find_lang %{name} --with-kde
Comment 3 Vijay Richard 2013-02-15 06:56:20 EST
FAS : Richardvj11
I am not an official package reviewer yet, but an aspiring package reviewer.
-------------
MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)[14] -- ----------OK
--this spec file shows %files -f %{name}.lang
Comment 4 Vijay Richard 2013-02-15 06:58:09 EST
FAS : Richardvj11
I am not an official package reviewer yet, but an aspiring package reviewer.
-------------
MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. [18]-- ----------OK
--this spec file shows %doc COPYING
Comment 5 Vijay Richard 2013-02-15 07:00:18 EST
FAS : Richardvj11
I am not an official package reviewer yet, but an aspiring package reviewer.
-------------
MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.[19]-----------OK
--this spec file shows no .la
Comment 6 Vijay Richard 2013-02-15 07:03:17 EST
FAS : Richardvj11
I am not an official package reviewer yet, but an aspiring package reviewer.
-------------
SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available. [26]-----------OK
--this spec file  no Non-English handling/requirement
Comment 7 Rex Dieter 2013-02-15 08:57:30 EST
Spec URL: http://rdieter.fedorapeople.org/rpms/kdegames/klines.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/kdegames/klines-4.10.0-2.fc18.src.rpm

%changelog
* Fri Feb 15 2013 Rex Dieter <rdieter@fedoraproject.org> 4.10.0-2
- update license, description



Vijay, thanks for the feedback and informal review.  One bit of advice, better to batch all your SHOULD/MUST feedback into a single (or few) bugzilla comments... no need to make it one item per comment (which is far less efficient).
Comment 8 nucleo 2013-02-20 21:44:41 EST
In desktop it just "Kolor lines" or "Tactical Game" but maybe better summary will be "Color lines game". 

There is typo in %description "ame board.  ", should be "game board"

Everything else fine.
Comment 9 Rex Dieter 2013-02-21 08:27:39 EST
Spec URL: http://rdieter.fedorapeople.org/rpms/kdegames/klines.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/kdegames/klines-4.10.0-3.fc18.src.rpm

%changelog
* Thu Feb 21 2013 Rex Dieter <rdieter@fedoraproject.org> 4.10.0-3
- update summary, fix typo in description
Comment 10 nucleo 2013-02-21 08:31:53 EST
MUST Items:
+ rpmlint output
  $ rpmlint klines-4.10.0-1.fc18.i686.rpm klines-debuginfo-4.10.0-1.fc18.i686.rpm klines-4.10.0-3.fc18.src.rpm klines.spec 
    klines.i686: W: no-manual-page-for-binary klines                                                                                                             
    klines.src: W: spelling-error %description -l en_US Kolor -> Color, Dolor
    3 packages and 1 specfiles checked; 0 errors, 2 warnings.
+ named and versioned according to the Package Naming Guidelines.
  Package name match the upstream tarball name klines-4.10.0.tar.xz
+ spec file name klines.spec matches base package name
+ complies with all the legal guidelines:
  + License: GPLv2+ and GFDL, matches actual license (added notices for parts under different licenses)
  + No known patent problems
  + No emulator, no firmware, no binary-only or prebuilt components
+ COPYING (GNU GENERAL PUBLIC LICENSE Version 2), COPYING.DOC (GNU Free Documentation License Version 1.2) packaged as %doc
+ source matches upstream:
  MD5: c67ae3a077351397aeb96a33350aec4b  klines-4.10.0.tar.xz
  SHA1: 0886b2c788725034f4b8367a6f5db16344a87159  klines-4.10.0.tar.xz
  SHA256: c97cbf53c71d05cd39068b07d8ab7948e681bbf87b9ccd567b405b1ec6371392  klines-4.10.0.tar.xz
+ builds on at least one arch
  build from mock is in F18 kde-unstable repo
+ no known non-working arches, so no ExcludeArch needed
+ no missing BuildRequires (builds in mock)
+ locales are handled properly by using %find_lang %{name} --with-kde macro
+ ldconfig call not needed (no shared libraries)
+ no duplicated system libraries
+ package not relocatable (no Prefix tag)
+ directory ownership correct (doesn't own directories owned by another package, owns all package-specific directories %{_kde4_appsdir}/%{name}/)
+ no duplicate files in %files
+ permissions correct, %defattr(-,root,root,-) not needed now, executables have executable permissions
+ macros used where possible (%{name}, %{version}, %{buildroot}, %{_target_platform}, %{cmake_kde4}, %{_kde4_datadir}, %{_kde4_bindir}, %{_kde4_iconsdir},%{_kde4_appsdir}, %{_kde4_configdir})
+ non-code content: only permitted content, themes under license that matches the code
+ no large documentation files, so no -doc package needed
+ no %doc files required at runtime
+ no header files, no -devel package needed
+ no static libraries, so no -static package needed
+ no devel symlinks which would need to be in a -devel subpackage
+ devel packages must require the base package (no -devel package)
+ no .la files
+ klines.desktop file for the GUI app klines present
+ desktop-file-validate is used in %check and the klines.desktop file passes validation
+ all filenames are valid UTF-8
+ other packaging guidelines:
  + complies with the Filesystem Hierarchy Standard (all files in  %{_kde4_datadir}, %{_kde4_bindir}, %{_kde4_iconsdir},%{_kde4_appsdir},%{_kde4_configdir})
  + proper changelog, tags, BuildRequires, Summary, Description (got from klines's documentation)
  + no non-UTF-8 characters
  + all relevant documentation included as %doc (COPYING, COPYING.DOC, AUTHORS README.themes)
  + RPM_OPT_FLAGS are used in %{cmake_kde4} macro
  + debuginfo package is valid (contains stripped symbols from ELF binary and source code related to it)
  + no rpaths (no check-rpaths error)
  + no configuration files, so %config guideline doesn't apply
  + no init scripts, so init script guideline doesn't apply
  + timestamps are preserved
  + %{?_smp_mflags} used
  + not a web application, so web application guideline doesn't apply
  + no conflicts (kdegames-4.10.0 is metapackage now which not includes apps)

SHOULD Items:
+ license already included upstream
+ no translations for description and summary provided by upstream
+ package builds in mock (built for kde-unstable)
- successfully tested the package functionality (no testing yet)
+ scriptlets are sane (updating icon chache in %post, %postun, %posttrans)
+ subpackages other than devel should require the base package using a fully versioned dependency (no subpackages)
+ no .pc files, so "placement of .pc files" is irrelevant
+ no file dependencies
- package should contain man pages for binaries/scripts

APPROVED
Comment 11 Rex Dieter 2013-02-21 08:44:00 EST
New Package SCM Request
=======================
Package Name: klines
Short Description: Color lines game
Owners: than rdieter jreznik kkofler ltinkl rnovacek
Branches: f17 f18
InitialCC:
Comment 12 Jon Ciesla 2013-02-21 08:53:37 EST
Git done (by process-git-requests).
Comment 13 Rex Dieter 2013-02-21 09:07:18 EST
imported

Note You need to log in before you can comment on or make changes to this bug.